# Class ProviderRegistry

java.lang.Object
org.apache.zookeeper.server.auth.ProviderRegistry

public class ProviderRegistry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHPROVIDER_PROPERTY_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`ProviderRegistry()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addOrUpdateProvider(String authKey)`
`static AuthenticationProvider`
`getProvider(String scheme)`
`static ServerAuthenticationProvider`
`getServerProvider(String scheme)`
`static void`
`initialize()`
`static String`
`listProviders()`
`static void`
`removeProvider(String scheme)`
`static void`
`reset()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AUTHPROVIDER_PROPERTY_PREFIX

public static final String AUTHPROVIDER_PROPERTY_PREFIX

See Also:
  - Constant Field Values

## Constructor Details

### ProviderRegistry

public ProviderRegistry()

## Method Details

### reset

public static void reset()

### initialize

public static void initialize()

### addOrUpdateProvider

public static void addOrUpdateProvider(String authKey)

### getServerProvider

public static ServerAuthenticationProvider getServerProvider(String scheme)

### getProvider

public static AuthenticationProvider getProvider(String scheme)

### removeProvider

public static void removeProvider(String scheme)

### listProviders

public static String listProviders()